package com.prolog.cs.biz.outbound.service;

import com.prolog.cs.biz.outbound.model.print.PrintDataWithMark;
import com.prolog.framework.bz.common.print.PrintData;

import java.util.List;
import java.util.Map;

/**
 * @author zzz
 * @desc
 * @date 2021/4/30
 */
public interface PrintService {
    /**
     * QN行业线销售清单打印数据
     * @param billId
     * @return
     */
    PrintData printQnSalesData(String billId);

    /**
     * YM行业线销售清单打印数据
     * @param billId
     * @return
     */
    List<PrintData> printYmSalesData(String billId);

    /**
     * 社会性物流面单
     * @param billId
     * @return
     */
    PrintData printLogisticData(String billId);

    /**
     * pdf打印数据
     * @param fileInfo
     * @return
     */
    Map<String, Object> printPdfData(List<Map<String,String>> fileInfo);

    /**
     * 快递面单打印数据
     * @param waybillCode
     * @return
     */
    PrintDataWithMark printExpressData(List<String> waybillCode);

    /**
     * 发票打印数据
     * @param orderNo
     * @return
     */
    Map<String,Object> printInvoiceData(String orderNo);

    /**
     * 标签打印数据
     * @param billGroupIds
     * @return
     */
    PrintDataWithMark printLabelData(List<String> billGroupIds);
}
